import { defineConfig } from 'astro/config';
import { i18n, filterSitemapByDefaultLocale } from "astro-i18n-aut/integration";
import sitemap from "@astrojs/sitemap";

import svelte from "@astrojs/svelte";
import tailwind from "@astrojs/tailwind";

const defaultLocale = "de";
const locales = {
  en: "en", // the `defaultLocale` value must present in `locales` keys
  de: "de",
};

// https://astro.build/config
export default defineConfig({
  site: "https://max-richter.dev",
  trailingSlash: "never",
  build: {
    format: "file",
  },
  integrations: [
    svelte(),
    i18n({
      exclude: ["pages/**/*.json.ts", "pages/api/**/*",],
      locales,
      defaultLocale,
    }),
    sitemap({
      i18n: {
        locales,
        defaultLocale,
      },
      filter: filterSitemapByDefaultLocale({ defaultLocale }),
    }),
  ]
});
